# $Revision: 1.19 $, $Date: 2004/10/12 00:51:08 $
Summary:	Cross MIPSel GNU binary utility development utilities - gcc
Summary(es):	Utilitarios para desarrollo de binarios de la GNU - MIPSel gcc
Summary(fr):	Utilitaires de dveloppement binaire de GNU - MIPSel gcc
Summary(pl):	Skrone narzdzia programistyczne GNU dla MIPSel - gcc
Summary(pt_BR): Utilitrios para desenvolvimento de binrios da GNU - MIPSel gcc
Summary(tr):    GNU gelitirme aralar - MIPSel gcc
Name:		crossmipsel-gcc
Version:	3.3.5
Release:	1
Epoch:		1
License:	GPL
Group:		Development/Languages
Source0:	ftp://gcc.gnu.org/pub/gcc/releases/gcc-%{version}/gcc-%{version}.tar.bz2
# Source0-md5:	70ee088b498741bb08c779f9617df3a5
BuildRequires:	crossmipsel-binutils >= 2.15.91.0.1-2
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	autoconf
BuildRequires:	/bin/bash
Requires:	crossmipsel-binutils >= 2.15.91.0.1-2
Requires:	gcc-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		mipsel-pld-linux
%define		arch		%{_prefix}/%{target}
%define		gccarch		%{_libdir}/gcc-lib/%{target}
%define		gcclib		%{_libdir}/gcc-lib/%{target}/%{version}
%define		_noautostrip	.*%{gcclib}/libgcc\\.a

%description
This package contains a cross-gcc which allows the creation of
binaries to be run on little-endian Linux-MIPS (architecture
"mipsel-linux") on other machines.

%description -l de
Dieses Paket enthlt einen Cross-gcc, der es erlaubt, auf einem
anderem Rechner Code fr Linux-MIPS (auf little-Endian-Rechnern) zu
generieren.

%description -l pl
Ten pakiet zawiera skrony gcc pozwalajcy na tworzenie na innych
maszynach binariw do uruchamiania na little-endian MIPS (architektura
"mipsel-linux").

%prep
%setup -q -n gcc-%{version}

%build
cp -f /usr/share/automake/config.sub .
rm -rf obj-%{target}
install -d obj-%{target}
cd obj-%{target}

CFLAGS="%{rpmcflags}" \
CXXFLAGS="%{rpmcflags}" \
TEXCONFIG=false \
../configure \
	--prefix=%{_prefix} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--bindir=%{_bindir} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
	--includedir=%{arch}/include \
	--disable-shared \
	--disable-threads \
	--enable-languages="c" \
	--with-gnu-as \
	--with-gnu-ld \
	--with-system-zlib \
	--with-multilib \
	--without-x \
	--build=%{_target_platform} \
	--host=%{_target_platform} \
	--target=%{target}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C obj-%{target} install \
	DESTDIR=$RPM_BUILD_ROOT

# don't want target's lib in this place
rm -f $RPM_BUILD_ROOT%{_libdir}/libiberty.a

%if 0%{!?debug:1}
%{target}-strip -g $RPM_BUILD_ROOT%{gcclib}/libgcc.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{target}-cpp
%attr(755,root,root) %{_bindir}/%{target}-gcc
%attr(755,root,root) %{_bindir}/%{target}-gcc-%{version}
%attr(755,root,root) %{_bindir}/%{target}-gccbug
%attr(755,root,root) %{_bindir}/%{target}-gcov
%dir %{gccarch}
%dir %{gcclib}
%attr(755,root,root) %{gcclib}/cc1
%attr(755,root,root) %{gcclib}/collect2
%{gcclib}/crt*.o
%{gcclib}/libgcc.a
%{gcclib}/specs*
%dir %{gcclib}/include
%{gcclib}/include/*.h
%{_mandir}/man1/%{target}-gcc.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmipsel-gcc.spec,v $
Revision 1.19  2004/10/12 00:51:08  havner
- config.sub

Revision 1.18  2004/10/12 00:45:50  havner
- 3.3.5

Revision 1.17  2004/10/08 04:52:43  ankry
- R: gcc-dirs, rel++

Revision 1.16  2004/07/20 11:36:41  qboosh
- de fix(?) (not only i386)

Revision 1.15  2004/07/19 12:27:40  qboosh
- don't strip libgcc.a if debug

Revision 1.14  2004/07/19 12:19:43  qboosh
- finished update, require fixed binutils
- no threads or c++ for now - they require target's libc-devel

Revision 1.13  2004/07/18 20:20:19  havner
- 3.3.4
- s/gcov/c++
- doesn't build

Revision 1.12  2004/06/20 13:19:23  qboosh
- use proper libdir

Revision 1.11  2003/08/29 23:30:33  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.10  2003/08/06 16:52:45  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.9  2003/05/26 16:24:51  malekith
- massive attack: adding Source-md5

Revision 1.8  2003/05/25 05:46:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/02/28 10:07:33  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.6  2002/04/25 16:07:50  arturs
fixed a small typo

Revision 1.5  2002/04/22 16:03:40  ankry
- fixed URL for gcc sources.

Revision 1.4  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.3  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/02/19 18:53:32  gotar
- %desc

Revision 1.1  2002/01/18 10:43:48  malekith
- initial, probably doesn't even work
